<?php

namespace App\Http\Controllers;

use App\Repository\Eloquent\DiscountCodeRepository;
use Illuminate\Http\Request;

class DiscountCodeController extends Controller
{

    protected $discountCodeRepository;

    public function __construct(DiscountCodeRepository $discountCodeRepository)
    {
        $this->discountCodeRepository = $discountCodeRepository;
    }

    public function checkDiscountCode(Request $request)
    {
        return $this->discountCodeRepository->checkDiscountCode($request);
    }
}
