<?php

namespace App\Http\Requests\User;

use Illuminate\Foundation\Http\FormRequest;

class UpdateUser extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'first_name'    => '',
            'last_name'     => '',
            'address'       => '',
            'postal_code'   => '',
        ];
    }

    public function messages()
    {
        return [
            'first_name.required' => 'نام ضروری است',
        ];
    }
}
