<?php

namespace App\Http\Requests\setting;

use Illuminate\Foundation\Http\FormRequest;

class StoreSetting extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'setting'   => 'required|unique:settings',
            'content'   => 'required',
        ];
    }

    public function messages()
    {
        return [
            'setting.unique'                => 'ستینگ لازم است',
            'content.required'              => 'محتوی بازم ااست',
        ];
    }
}
