<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class NotificationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return[
            'created_at' => verta($this->created_at)->format('Y-m-d H:i'),
            'read_at' => $this->read_at,
            'title' => $this->data['title'],
            'content' => $this->data['content'],
        ];
    }
}
