<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class QuestionPackage extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'name',
        'item_id ',
    ];

    public function questions()
    {
        return $this->hasMany(Question::class);
    }

    public function item()
    {
        return $this->belongsTo(Item::class);
    }
}
