<?php

namespace Database\Seeders;

use App\Models\Setting;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Setting::factory()->create([
            'setting' => 'aboutUs',
        ]);

        Setting::factory()->create([
            'setting' => 'privacy',
        ]);

        Setting::factory()->create([
            'setting' => 'rules',
        ]);

        Setting::factory()->create([
            'setting' => 'phone_number',
            'content' => '78346723',
        ]);

        Setting::factory()->create([
            'setting' => 'email',
            'content' => 'aef@ethd.ejac',
        ]);
    }
}
