<?php

namespace App\Http\Controllers;

use App\Repository\Eloquent\FilmCastRepository;
use Illuminate\Http\Request;

class FilmCastController extends Controller
{
    protected $filmCastRepository;

    public function __construct(FilmCastRepository $filmCastRepository)
    {
        $this->filmCastRepository = $filmCastRepository;
    }

    public function getItems(Request $request)
    {
        return $this->filmCastRepository->getItems($request);
    }
}
