<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Notifications\UserNotification;
use App\Repository\Eloquent\NotificationRepository;
use Illuminate\Http\Request;

class NotificationController extends Controller
{

    protected $notificationRepository;

    public function __construct(NotificationRepository $notificationRepository)
    {
        $this->notificationRepository = $notificationRepository;
    }

    public function index(){

        return $this->notificationRepository->get();
   
    }

    public function send(Request $request) {

        return $this->notificationRepository->send($request);
        
    }
}
