<?php

namespace App\Http\Controllers;

use App\Repository\Eloquent\QuestionRepository;
use Illuminate\Http\Request;

class QuestionController extends Controller
{
    

    protected $questionRepository;

    public function __construct(QuestionRepository $questionRepository)
    {
        $this->questionRepository = $questionRepository;
    }

    public function getQuestions(Request $request)
    {
        return $this->questionRepository->getQuestions($request);
    }
}
