<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Repository\Eloquent\SearchRepository;

class SearchController extends Controller
{
    protected $searchRepository;

    public function __construct(SearchRepository $searchRepository)
    {
        $this->searchRepository = $searchRepository;
    }

    public function search(Request $request)
    {
        return $this->searchRepository->search($request);
    }

    public function getSearchFields(Request $request)
    {
        return $this->searchRepository->getSearchFields($request);
    }
}
