<?php

namespace App\Repository\Eloquent;

class BaseRepository {

    public function sendResponse($result = [], $message = "عملیات با موفقیت انجام شد")
    {
    	$response = [
            'success' => true,
            'data'    => $result,
            'message' => $message,
        ];

        return response()->json($response, 200);
    }

    public function sendError($msg = "عملیات با مشکل مواجه شد" , $code = 200, $errorMessages = [])
    {
    	$response = [
            'success' => false,
            'message' => $msg,
        ];


        if(!empty($errorMessages)){
            $response['data'] = $errorMessages;
        }


        return response()->json($response, $code);
    }

}

?>