<?php

namespace App\Repository\Eloquent;

use App\Http\Resources\CategoryResource;
use App\Http\Resources\CompactItemResource;
use App\Http\Resources\ItemResource;
use App\Models\Category;
use Illuminate\Http\Request;

class CategoryRepository extends BaseRepository{

    protected $model;

    public function __construct(Category $model)
    {
        $this->model = $model;
    }


    //---------------------------------------------------------------------------------------------------
    
    public function getAllCategory()
    {
        return $this->sendResponse(CategoryResource::collection(Category::all()));
    }

    // public function getCategorySlider()
    // {
    //     return $this->sendResponse(Category::all());
    // }

    // public function addCategorySlider(Request $request)
    // {
    //     // return $request;
    //     $category = Category::find($request->category_id);
    //     $category->slider_id = $request->slider_id;//()->create(['slider_id' => $request->slider_id]);
    //     $category->save();

    //     return $this->sendResponse();
    // }

    public function getCategoryItems(Request $request)
    {
        // return $this->sendResponse(Category::query()->where()->find($request->category_id)->items);
        // $data = [];
        // $category = Category::find($request->category_id);
        // $data = [
        //     'id' => $category->id,
        //     'name' => $category->name,
        //     'description' => $category->description,
        //     'image_path' => $category->image_path,
        // ];
        // $data['items'] = CompactItemResource::collection($category->items);
        return $this->sendResponse(CompactItemResource::collection( Category::find($request->category_id)->items));
    }
    

}

?>